if "AB"="BA"
  qout("-SIM-PROT-XYZA-")
endif
set scoreboard off
set deleted on
set confirm on
set message to 24
set date french
set century on
set wrap on
public tx_pdvdbf,tx_saida,tx_outprn,tx_roda1,tx_roda2,tx_roda3,tx_roda4,;
       tx_msg1,tx_msg2,tx_msg3,tx_msg4
tx_msg1:=tx_msg2:=tx_msg3:=tx_msg4:=space(50)
tx_roda1=repl(chr(32),33)
tx_roda2=repl(chr(32),33)
tx_roda3=repl(chr(32),33)
tx_roda4=repl(chr(32),33)
tx_pdvdbf="C:\SDT\DBFNTX\SDTCDPRD.DBF                           "
tx_saida= "C:\SDT\VENDA.TXT                                     "
tx_outprn="LPT1        "
tx_fundo=""
if file("cadcfg.cfg")
   restore from cadcfg.cfg additive
else
   save to cadcfg.cfg all like tx_*
end if
set printer to &tx_outprn
init_data()
? "[ Cadmaster ]"
?
? "- Sistema de controle de cadernetas"
?
? "Vagucs On-Line"
? "Rua Dom Bosco, 23"
? "Ipanema - Minas Gerais, Cep: 36.950-000"
? "Tel/Fax: (33) 3314-2242"
? "www.vagucs.com.br"
?
inkey(2)
if !file("estoque.dbf") .or. !file("cliente.dbf") .or. !file("vendas.dbf") .or. !file("temp.dbf")
   ? "Faltando arquivos de dados"
   ? "O sistema no pode ser operado."
   quit
end if
tela_fund()
save screen to xtemp
do while .t.
   set key 30 to pdv
   set color to n/w,w+/r
   restore screen from xtemp
   @ 4,4 prompt "A - Estoque         " message {||bm("Abre menu com operaes de controle de fichas de mercadorias")}
   @ 5,4 prompt "B - Cliente         " message {||bm("Abre menu com operaes para manuteno de banco de cliente")}
   @ 6,4 prompt "C - Vendas          " message {||bm("Entrar na tela de vendas")}
   @ 7,4 prompt "D - Contas a receber" message {||bm("Controle de contas a receber e quitao")}
   @ 8,4 prompt "E - Leitura do PDV  " message {||bm("Ler vendas feitas no PDV")}
   @ 9,4 prompt "F - Organizao     " message {||bm("Efetua limpeza e reorganizao dos arquivos")}
   @ 10,4 prompt "G - Configurao    " message {||bm("Configura localizao dos arquivos do PDV")}
   @ 11,4 prompt "H - Visualizao    " message {||bm("Abre arquivos de texto no diretrio")}
   @ 12,4 prompt "I - Sobre           " message {||bm("Sobre o sistema")}
   @ 13,4 prompt "J - Sair            " message {||bm("Fecha os banco de dados e sai do sistema")}
   menu to menu1
   set key 30 to
   do case
      case menu1=1
         estoque()
      case menu1=2
         cliente()
      case menu1=3
         venda()
      case menu1=4
      case menu1=5
      case menu1=6
      case menu1=7
         mak(4,6,20,60)
         @ 5,7 get tx_msg1
         @ 6,7 get tx_msg2
         @ 7,7 get tx_msg3
         @ 8,7 get tx_msg4
         @ 9,7 say "Arquivo de vendas do PDV"
         @ 10,7 get tx_saida
         @ 11,7 say "Porta de impressora"
         @ 12,7 get tx_outprn
         @ 13,7 say "Menssagem"
         @ 14,7 get tx_roda1
         @ 15,7 get tx_roda2
         @ 16,7 get tx_roda3
         @ 17,7 get tx_roda4
         @ 18,7 say "Fundo"
         @ 19,7 get tx_fundo
         read
         if !lastkey()=27
            save to cadcfg.cfg all like tx_*
            set printer to &tx_outprn
            tela_fund()
            save screen to xtemp
            init_data()
         end if
      case menu1=8
      case menu1=9
         sobre()
      case menu1=10 .or. lastkey()=27
         if msg('Deseja realmente sair do sistema ?')
            sair()
         end if
   end case
enddo

function pdv

function centra
parameters linha,texto
@ linha,(80-len(texto))/2 say texto

function ncbox
 parameters l1,c1,l2,c2,pre
 PRIVATE PRE,B3
 b3=CHR(218) + CHR(196) + CHR(191) + CHR(179) + CHR(217) + CHR(196) + CHR(192) + CHR(179)+chr(pre)
 @ l1,c1,l2,c2 BOX B3

function mak
PARAMETERS RELI, RECI, RELF, RECF
IF PCOUNT()<4
      ? "Faltando parmetros"
      break
end if
PRIVATE I, RESBV, RESBH, REH, REV,B3
 RESBH = SAVESCREEN(RELF + 1, RECI + 2, RELF + 1, RECF + 2)
 RESBV = SAVESCREEN(RELI + 1, RECF + 1, RELF, RECF + 2)
 REH = (RECF - RECI + 1) * 2
 REV = (RELF - RELI) * 4
   FOR I = 2 TO MAX (REH, REV) STEP 2
       RESBH = IIF (REH >= I, STUFF (RESBH, I, 1, CHR (4)), RESBH)
       RESBV = IIF (REV >= I, STUFF (RESBV, I, 1, CHR (4)), RESBV)
   NEXT
 RESTSCREEN (RELF + 1, RECI + 2, RELF + 1, RECF + 2, RESBH)
 RESTSCREEN (RELI + 1, RECF + 1, RELF, RECF + 2, RESBV)
 b3=CHR(218) + CHR(196) + CHR(191) + CHR(179) + CHR(217) + CHR(196) + CHR(192) + CHR(179)+' '
 @ RELI,RECI,RELF,RECF BOX B3

procedure bar
parameters lin,col,lenb,xpos,xtotal
@ lin,col say repl("",lenb/(xtotal/xpos))+repl("",lenb-(lenb/(xtotal/xpos)))

function sair
set color to w/n
clear
? "[ Cadmaster ]"
?
? "- Sistema de controle de cadernetas"
?
? "Vagucs On-Line"
? "Rua Dom Bosco, 23"
? "Ipanema - Minas Gerais, Cep: 36.950-000"
? "Tel/Fax: (33) 3314-2242"
? "www.vagucs.com.br"
?
quit

procedure bm
parameters texte
oldc=setcolor()
set color to gr+/b
@ 24,0 say replicate(chr(32),80)
centra(24,texte)
set color to &oldc
return ""

function smsg
parameters texto
save screen to mt
col=col()
row=row()
oldc=setcolor()
set color to n/bg
mak(9,6,15,74)
centra(12,texto)
tone(1800,1)
tone(1700,4)
inkey(0)
clear typeahead
keyboard chr(0)+chr(0)
set color to &oldc
restore screen from mt
mt=""
@ row,col say ""

function msg
parameters texto
col=col()
row=row()
save screen to mt
oldc=setcolor()
set color to n/bg
mak(9,6,15,74)
centra(11,texto)
@ 13,32 prompt "Sim"
@ 13,46 prompt "No"
tone(1800,1)
tone(1700,4)
menu to op
restore screen from mt
set color to &oldc
@ row,col say ""
mt=""
if lastkey()=27
   clear typeahead
   keyboard chr(0)+chr(0)
   return .f.
end if
if op=1
   clear typeahead
   keyboard chr(0)+chr(0)
   return .t.
else
   clear typeahead
   keyboard chr(0)+chr(0)
   return .f.
end if

function smsg2
parameters texto
col=col()
row=col()
oldc=setcolor()
set color to n/bg
mak(9,6,15,74)
centra(12,texto)
set color to &oldc
@ row,col say ""

procedure init_data
if "AB"="BA"
  qout("-SIM-PROT-XYZA-")
endif
select 1
use estoque.dbf alias estoque
delete for recno()>10
if !file("ESTNOM.NTX")
   ? "Indexando arquivo estoque.dbf por nome..."
   index on nome to estnom.ntx
end if
set index to estnom.ntx

select 2
use cliente.dbf alias cliente
delete for recno()>10
if !file("CLINOM.NTX")
   ? "Indexando arquivo cliente.dbf por nome..."
   index on nome to clinom.ntx
end if
set index to clinom.ntx

select 3
if file(tx_pdvdbf)
   use &tx_pdvdbf
end if

select 4
use vendas.dbf alias venda
delete for recno()>50
if !file("vendas.ntx")
   ? "Indexando arquivo vendas.dbf..."
   index on codcli to vendas.ntx
end if
set index to vendas.ntx

select 5
use orca.dbf alias orca

select 6
use temp alias temp
zap

function makoff
PARAMETERS RELI, RECI, RELF, RECF
IF PCOUNT()<4
      ? "Faltando parmetros"
      break
end if
b3=CHR(218) + CHR(196) + CHR(191) + CHR(179) + CHR(217) + CHR(196) + CHR(192) + CHR(179)+' '
@ RELI,RECI,RELF,RECF BOX B3

procedure visualiza
if "AB"="BA"
  qout("-SIM-PROT-XYZA-")
endif
declare wag[adir("*.txt")],size[adir("*.txt")]
adir("*.txt",wag,size)
save screen to temp
mak(5,15,15,28)
resp1=0
resp1=achoice(6,16,19,27,wag)
restore screen from temp
if resp1=0 .or. lastkey()=27
   return .f.
end if
mak(4,4,21,76)
ft_dfsetup(wag[resp1],5,5,20,75,0,14,13)
ft_dispfile()
ft_dfclose()

procedure tela_fund
if "AB"="BA"
  qout("-SIM-PROT-XYZA-")
endif
set color to y+/w
clear
for i=1 to 23
   ?? repl(alltrim(tx_fundo),5)
next
makoff(18,4,23,76)
centra(19,tx_msg1)
centra(20,tx_msg2)
centra(21,tx_msg3)
centra(22,tx_msg4)
set color to gr+/b
@ 0,0 say repl(chr(32),80)
@ 24,0 say repl(chr(32),80)
centra(0,"[ Vagucs On-line Controle de Cadernetas / " + dtoc(date()) + " ]")
set color to n/w,w+/r
mak(3,3,14,24)

procedure sobre
save screen to temp
mak(5,5,11,55)
@ 6,6 say "Wagner Nunes"
@ 7,6 say "R. Dom Bosco, 23"
@ 8,6 say "Bairro:Centro - Ipanema - MG"
@ 9,6 say "Cep: 36.950-000"
@ 10,6 say "Tel: (33) 3314-2242"
inkey(0)
restore screen from temp
